Bug 1245776 - hammer allows me to enable reposets with incorrect release versions
Summary: hammer allows me to enable reposets with incorrect release versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Tazim Kolhar
David O'Brien
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2015-07-22 17:53 UTC by Og Maciel
Modified: 2017-02-23 19:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 16:04:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 11203 None None None 2016-04-22 15:00:49 UTC

Description Og Maciel 2015-07-22 17:53:40 UTC
Description of problem:

Seems that the hammer command for enabling reposets performs no validation for the releasever field. Therefore, I can basically pass arbitrary values to it and the repository will be created:

  # hammer -u admin -p changeme repository-set enable --name="Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)" --basearch="x86_64" --product "Red Hat Enterprise Linux Server" --organization="Default Organization" --releasever="7.3"

  Repository enabled

Here's another example (with more details) of using --releasever="borked"

# hammer -u admin -p changeme -v -d repository-set enable --name="Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)" --basearch="x86_64" --product "Red Hat Enterprise Linux Server" --organization="Default Organization" --releasever="borked"
[ INFO 2015-07-22 13:51:15 Init] Initialization of Hammer CLI (0.1.4.11) has started...
[DEBUG 2015-07-22 13:51:15 Init] Running at ruby 2.0.0-p598
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_bootdisk.yml has been loaded
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_discovery.yml has been loaded
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_docker.yml has been loaded
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli.modules.d/gutterball.yml has been loaded
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli.modules.d/import.yml has been loaded
[ INFO 2015-07-22 13:51:15 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[DEBUG 2015-07-22 13:51:16 Connection] Registered: foreman
[DEBUG 2015-07-22 13:51:16 API] Global headers: {
        :content_type => "application/json",
              :accept => "application/json;version=2",
    "Accept-Language" => "en"
}
[ INFO 2015-07-22 13:51:16 Modules] Extension module hammer_cli_foreman (0.1.4.14) loaded
[ INFO 2015-07-22 13:51:16 Modules] Extension module hammer_cli_foreman_bootdisk (0.1.2.7) loaded
[ INFO 2015-07-22 13:51:16 Modules] Extension module hammer_cli_foreman_discovery (0.0.1.10) loaded
[ INFO 2015-07-22 13:51:16 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2015-07-22 13:51:16 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[ INFO 2015-07-22 13:51:16 Modules] Extension module hammer_cli_gutterball (0.0.1.3) loaded
[ INFO 2015-07-22 13:51:16 Modules] Extension module hammer_cli_import (0.10.19) loaded
[ INFO 2015-07-22 13:51:16 Modules] Extension module hammer_cli_katello (0.0.7.17) loaded
[DEBUG 2015-07-22 13:51:16 Init] Using locale 'en'
[DEBUG 2015-07-22 13:51:16 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/share/gems/gems/hammer_cli-0.1.4.11/locale'
[DEBUG 2015-07-22 13:51:16 Init] 'mo' files for locale domain 'hammer-cli@system' loaded from '/usr/share/locale'
[DEBUG 2015-07-22 13:51:16 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/usr/share/gems/gems/hammer_cli_foreman-0.1.4.14/locale'
[DEBUG 2015-07-22 13:51:16 Init] 'mo' files for locale domain 'hammer-cli-foreman@system' loaded from '/usr/share/locale'
[DEBUG 2015-07-22 13:51:16 Init] 'mo' files for locale domain 'hammer_cli_foreman_docker' loaded from '/usr/share/gems/gems/hammer_cli_foreman_docker-0.0.3.9/locale'
[DEBUG 2015-07-22 13:51:16 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/usr/share/gems/gems/hammer_cli_katello-0.0.7.17/locale'
[ INFO 2015-07-22 13:51:16 HammerCLI::MainCommand] Called with options: {"option_verbose"=>true, "option_debug"=>true, "option_username"=>"admin", "option_password"=>"***"}
[ INFO 2015-07-22 13:51:16 HammerCLIKatello::RepositorySetCommand] Called with options: {}
[ INFO 2015-07-22 13:51:16 HammerCLIKatello::RepositorySetCommand::EnableCommand] Called with options: {"option_name"=>"Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)", "option_product_name"=>"Red Hat Enterprise Linux Server", "option_organization_name"=>"Default Organization", "option_basearch"=>"x86_64", "option_releasever"=>"borked"}
[ INFO 2015-07-22 13:51:16 API] GET /katello/api/organizations
[DEBUG 2015-07-22 13:51:16 API] Params: {
    :search => "name = \"Default Organization\""
}
[DEBUG 2015-07-22 13:51:16 API] Headers: {
    :params => {
        :search => "name = \"Default Organization\""
    }
}
[DEBUG 2015-07-22 13:51:16 API] Response: {
       "total" => 2,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => "name = \"Default Organization\"",
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                    "id" => 1,
                  "name" => "Default Organization",
                 "title" => "Default Organization",
                 "label" => "Default_Organization",
            "created_at" => "2015-07-22T17:39:25Z",
            "updated_at" => "2015-07-22T17:39:29Z"
        }
    ]
}
[DEBUG 2015-07-22 13:51:16 API] Response headers: {
                   :date => "Wed, 22 Jul 2015 17:51:16 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "f5be3b0ebc7dd0b408568ebd915897a9",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "c9d37c583a394e77ff3e52190e896958",
              :x_runtime => "0.237152",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTg3ZjcyZjgzZGRiMDMyOTFlZDQ0NzY4MjJmZDdjMmNkBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--2841784bb1f994e2c1f1e93f05d60c7703022dac; path=/; secure; HttpOnly"
    ],
                   :etag => "\"046d4ae9cc755f722b79cbebe11a9fe9\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-22 13:51:16 API] GET /katello/api/organizations/1/products
[DEBUG 2015-07-22 13:51:16 API] Params: {
    "name" => "Red Hat Enterprise Linux Server"
}
[DEBUG 2015-07-22 13:51:16 API] Headers: {
    :params => {
        "name" => "Red Hat Enterprise Linux Server"
    }
}
[DEBUG 2015-07-22 13:51:16 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => nil,
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                  "sync_state" => nil,
                   "last_sync" => nil,
             "last_sync_words" => nil,
                "organization" => {
                 "name" => "Default Organization",
                "label" => "Default_Organization",
                   "id" => 1
            },
                          "id" => 132,
                       "cp_id" => "69",
                        "name" => "Red Hat Enterprise Linux Server",
                       "label" => "Red_Hat_Enterprise_Linux_Server",
                 "description" => nil,
                 "provider_id" => 2,
                "sync_plan_id" => nil,
                 "sync_status" => {
                "state" => nil
            },
                "sync_summary" => {},
                  "gpg_key_id" => nil,
                      "redhat" => true,
            "repository_count" => 0,
                            "" => nil
        }
    ]
}
[DEBUG 2015-07-22 13:51:17 API] Response headers: {
                   :date => "Wed, 22 Jul 2015 17:51:16 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "f5be3b0ebc7dd0b408568ebd915897a9",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "fff638672f6a731ad2e4cd357301f0ff",
              :x_runtime => "0.135820",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTM5MmViNTE0ZjI4Y2E1NzJjNWYwM2ExZTM5ZGJkYzU5BjsAVEkiC2xvY2FsZQY7AEYiB2Vu--ca1bf1eaf9d564202a9f39bfed93235c2447d7af; path=/; secure; HttpOnly"
    ],
                   :etag => "\"4b27b040858c93c1febd14f007fd00ed\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-22 13:51:17 API] GET /katello/api/organizations
[DEBUG 2015-07-22 13:51:17 API] Params: {
    :search => "name = \"Default Organization\""
}
[DEBUG 2015-07-22 13:51:17 API] Headers: {
    :params => {
        :search => "name = \"Default Organization\""
    }
}
[DEBUG 2015-07-22 13:51:17 API] Response: {
       "total" => 2,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => "name = \"Default Organization\"",
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                    "id" => 1,
                  "name" => "Default Organization",
                 "title" => "Default Organization",
                 "label" => "Default_Organization",
            "created_at" => "2015-07-22T17:39:25Z",
            "updated_at" => "2015-07-22T17:39:29Z"
        }
    ]
}
[DEBUG 2015-07-22 13:51:17 API] Response headers: {
                   :date => "Wed, 22 Jul 2015 17:51:17 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "f5be3b0ebc7dd0b408568ebd915897a9",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "41b418037dccaec972af66264063f509",
              :x_runtime => "0.052413",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTNhYThlZmNiMGU0ZWI1ZTc3OGY2MWExMjI3NDlmMDI0BjsAVEkiC2xvY2FsZQY7AEYiB2Vu--dcbe92678894d249ff84b33921fdfe63ca0d8fb1; path=/; secure; HttpOnly"
    ],
                   :etag => "\"046d4ae9cc755f722b79cbebe11a9fe9\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-22 13:51:17 API] GET /katello/api/organizations/1/products
[DEBUG 2015-07-22 13:51:17 API] Params: {
    "name" => "Red Hat Enterprise Linux Server"
}
[DEBUG 2015-07-22 13:51:17 API] Headers: {
    :params => {
        "name" => "Red Hat Enterprise Linux Server"
    }
}
[DEBUG 2015-07-22 13:51:17 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => nil,
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                  "sync_state" => nil,
                   "last_sync" => nil,
             "last_sync_words" => nil,
                "organization" => {
                 "name" => "Default Organization",
                "label" => "Default_Organization",
                   "id" => 1
            },
                          "id" => 132,
                       "cp_id" => "69",
                        "name" => "Red Hat Enterprise Linux Server",
                       "label" => "Red_Hat_Enterprise_Linux_Server",
                 "description" => nil,
                 "provider_id" => 2,
                "sync_plan_id" => nil,
                 "sync_status" => {
                "state" => nil
            },
                "sync_summary" => {},
                  "gpg_key_id" => nil,
                      "redhat" => true,
            "repository_count" => 0,
                            "" => nil
        }
    ]
}
[DEBUG 2015-07-22 13:51:17 API] Response headers: {
                   :date => "Wed, 22 Jul 2015 17:51:17 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "f5be3b0ebc7dd0b408568ebd915897a9",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "f6c1ebfd0f43b1467d96c0fe2546a901",
              :x_runtime => "0.297025",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWZjOGVlM2M0MmZiNzQ1OWFlYjQ0OTk5YWZiMzViN2I5BjsAVEkiC2xvY2FsZQY7AEYiB2Vu--26b3e48491da6b3a612c765629a8f0665298a634; path=/; secure; HttpOnly"
    ],
                   :etag => "\"4b27b040858c93c1febd14f007fd00ed\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-22 13:51:17 API] GET /katello/api/products/132/repository_sets
[DEBUG 2015-07-22 13:51:17 API] Params: {
    "name" => "Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)"
}
[DEBUG 2015-07-22 13:51:17 API] Headers: {
    :params => {
        "name" => "Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)"
    }
}
[DEBUG 2015-07-22 13:51:17 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => nil,
    "per_page" => nil,
      "search" => nil,
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
            "repositories" => [],
                      "id" => "4380",
                    "name" => "Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)",
                   "label" => "rhel-7-server-satellite-tools-6-beta-rpms",
                    "type" => "yum",
                  "vendor" => "Red Hat",
                  "gpgUrl" => "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta,file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release",
              "contentUrl" => "/content/beta/rhel/server/7/$basearch/sat-tools/6/os"
        }
    ]
}
[DEBUG 2015-07-22 13:51:17 API] Response headers: {
                   :date => "Wed, 22 Jul 2015 17:51:17 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "f5be3b0ebc7dd0b408568ebd915897a9",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "f321f88a56f2ed61ef00ba6bdf69aed8",
              :x_runtime => "0.163159",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWI1NTFjMGNiZjkwNTRjOGZlNTFkNzU1ODZhZWM2YzViBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--a7d33e4f6662e0c64864a515ac0c8fcc9a720864; path=/; secure; HttpOnly"
    ],
                   :etag => "\"e67e6d770582a7ec733d87946de97550\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-22 13:51:17 API] PUT /katello/api/products/132/repository_sets/4380/enable
[DEBUG 2015-07-22 13:51:17 API] Params: {
      "basearch" => "x86_64",
    "releasever" => "borked"
}
[DEBUG 2015-07-22 13:51:17 API] Headers: {}
[DEBUG 2015-07-22 13:51:24 API] Response: {
             "id" => "80c7f165-8550-4c4e-b99f-6ac6d65f41b9",
          "label" => "Actions::Katello::RepositorySet::EnableRepository",
        "pending" => false,
       "username" => "admin",
     "started_at" => "2015-07-22T17:51:18Z",
       "ended_at" => "2015-07-22T17:51:24Z",
          "state" => "stopped",
         "result" => "success",
       "progress" => 1.0,
          "input" => {
        "services_checked" => [
            [0] "pulp",
            [1] "pulp_auth",
            [2] "candlepin",
            [3] "candlepin_auth",
            [4] "elasticsearch"
        ],
              "repository" => {
               "id" => 5,
             "name" => "Red Hat Satellite Tools 6 Beta for RHEL 7 Server RPMs x86_64 borked",
            "label" => "Red_Hat_Satellite_Tools_6_Beta_for_RHEL_7_Server_RPMs_x86_64_borked"
        },
                 "product" => {
               "id" => 132,
             "name" => "Red Hat Enterprise Linux Server",
            "label" => "Red_Hat_Enterprise_Linux_Server",
            "cp_id" => "69"
        },
                "provider" => {
              "id" => 2,
            "name" => "Red Hat"
        },
            "organization" => {
               "id" => 1,
             "name" => "Default Organization",
            "label" => "Default_Organization"
        },
                  "locale" => "en"
    },
         "output" => {},
      "humanized" => {
        "action" => "Enable",
         "input" => [
            [0] [
                [0] "repository",
                [1] {
                    "text" => "repository 'Red Hat Satellite Tools 6 Beta for RHEL 7 Server RPMs x86_64 borked'",
                    "link" => nil
                }
            ],
            [1] [
                [0] "product",
                [1] {
                    "text" => "product 'Red Hat Enterprise Linux Server'",
                    "link" => "#/products/132/info"
                }
            ],
            [2] [
                [0] "organization",
                [1] {
                    "text" => "organization 'Default Organization'",
                    "link" => "/organizations/1/edit"
                }
            ]
        ],
        "output" => "",
        "errors" => []
    },
    "cli_example" => nil
}
[DEBUG 2015-07-22 13:51:24 API] Response headers: {
                   :date => "Wed, 22 Jul 2015 17:51:17 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "f5be3b0ebc7dd0b408568ebd915897a9",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "no-cache",
           :x_request_id => "bfc466de50b1df8b046204fd78c074d8",
              :x_runtime => "7.168946",
           :x_rack_cache => "invalidate, pass",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWMzMTFjM2QxZmIxODc1ZTZmM2E4M2VlMzg2OWQ3MGYwBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--3bcd1a23b37fc1db9f1eb1de4e488ce16d792030; path=/; secure; HttpOnly"
    ],
                 :status => "202 Accepted",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
Repository enabled

Version-Release number of selected component (if applicable):

* Satellite 6.1.1 SNAP 14

How reproducible:


Steps to Reproduce:
1. Import a valid Red Hat manifest
2. Run the hammer command mentioned above
3.

Actual results:

The repository is created for --releasever="borked"


Expected results:

The repository should **not** be created



Additional info:

Comment 1 RHEL Product and Program Management 2015-07-22 17:54:15 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Partha Aji 2015-07-23 18:15:48 UTC
Created redmine issue http://projects.theforeman.org/issues/11203 from this bug

Comment 5 Mike McCune 2015-07-28 16:38:05 UTC
This is a blocker as it results in a 'corrupt' database that requires manual console commands to resolve the broken situation.

Comment 6 Bryan Kearney 2015-07-28 18:11:17 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/11203 has been closed
-------------
Partha Aji
Applied in changeset commit:katello|807954247725729fecf978fa0b324d708b7c9baf.

Comment 8 Tazim Kolhar 2015-07-30 14:45:45 UTC
VERIFIED:
# rpm -qa | grep foreman
foreman-1.7.2.33-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.2.1-1.el7sat.noarch
foreman-vmware-1.7.2.33-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.14-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-postgresql-1.7.2.33-1.el7sat.noarch
foreman-debug-1.7.2.33-1.el7sat.noarch
foreman-gce-1.7.2.33-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.9-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.18-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.19-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
foreman-proxy-1.7.2.5-1.el7sat.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-ovirt-1.7.2.33-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el7sat.noarch
foreman-selinux-1.7.2.13-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.13-1.el7sat.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-compute-1.7.2.33-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.15.4-1.el7sat.noarch
foreman-libvirt-1.7.2.33-1.el7sat.noarch

steps:
#  hammer -u admin -p changeme -v -d repository-set enable --name="Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)" --basearch="x86_64" --product "Red Hat Enterprise Linux Server" --organization="Default Organization" --releasever="borked"
[ INFO 2015-07-30 10:40:29 Init] Initialization of Hammer CLI (0.1.4.11) has started...
[DEBUG 2015-07-30 10:40:29 Init] Running at ruby 2.0.0-p598
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_bootdisk.yml has been loaded
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_discovery.yml has been loaded
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_docker.yml has been loaded
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli.modules.d/gutterball.yml has been loaded
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli.modules.d/import.yml has been loaded
[ INFO 2015-07-30 10:40:29 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[DEBUG 2015-07-30 10:40:39 Connection] Registered: foreman
[DEBUG 2015-07-30 10:40:39 API] Global headers: {
        :content_type => "application/json",
              :accept => "application/json;version=2",
    "Accept-Language" => "en"
}
[ INFO 2015-07-30 10:40:39 API] GET /apidoc/v2.en.json
[DEBUG 2015-07-30 10:40:39 API] Params: {}
[DEBUG 2015-07-30 10:40:39 API] Headers: {
    :accept => "application/json",
    :params => {}
}
[DEBUG 2015-07-30 10:40:42 API] 404 Resource Not Found
#<String:0x01fdb640
    attr_accessor :args = {
        :timeout => nil,
        :headers => {
                :content_type => "application/json",
                      :accept => "application/json",
            "Accept-Language" => "en"
        },
         :method => :get,
            :url => "https://localhost//apidoc/v2.en.json"
    },
    attr_accessor :net_http_res = #<Net::HTTPNotFound:0x01fcd3d8
        @body_exist = true,
        @read = true,
        @socket = nil,
        attr_accessor :body = ...String...,
        attr_accessor :decode_content = false,
        attr_accessor :uri = nil,
        attr_reader :code = "404",
        attr_reader :header = {
                         "date" => [
                [0] "Thu, 30 Jul 2015 14:40:39 GMT"
            ],
                       "server" => [
                [0] "Apache/2.4.6 (Red Hat Enterprise Linux)"
            ],
              "apipie-checksum" => [
                [0] "ec9d32375fa1d269c3b2add8c5fad431"
            ],
              "x-ua-compatible" => [
                [0] "IE=Edge,chrome=1"
            ],
                "cache-control" => [
                [0] "no-cache"
            ],
                 "x-request-id" => [
                [0] "264015fab67589967a279f094d895612"
            ],
                    "x-runtime" => [
                [0] "1.229464"
            ],
                 "x-rack-cache" => [
                [0] "miss"
            ],
                 "x-powered-by" => [
                [0] "Phusion Passenger 4.0.18"
            ],
                       "status" => [
                [0] "404 Not Found"
            ],
            "transfer-encoding" => [
                [0] "chunked"
            ],
                 "content-type" => [
                [0] "application/json; charset=utf-8"
            ]
        },
        attr_reader :http_version = "1.1",
        attr_reader :message = "Not Found"
    >,
    attr_reader :code = 404
>
[ INFO 2015-07-30 10:40:42 API] GET /apidoc/v2.json
[DEBUG 2015-07-30 10:40:42 API] Params: {}
[DEBUG 2015-07-30 10:40:42 API] Headers: {
    :accept => "application/json",
    :params => {}
}
[DEBUG 2015-07-30 10:40:43 API] Cache expired. (default -> ec9d32375fa1d269c3b2add8c5fad431)
[DEBUG 2015-07-30 10:40:43 API] Response: Received OK
[DEBUG 2015-07-30 10:40:43 API] Response headers: {
                         :date => "Thu, 30 Jul 2015 14:40:42 GMT",
                       :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
          :content_disposition => "inline; filename=\"v2.json\"",
    :content_transfer_encoding => "binary",
                :cache_control => "private",
              :apipie_checksum => "ec9d32375fa1d269c3b2add8c5fad431",
              :x_ua_compatible => "IE=Edge,chrome=1",
                 :x_request_id => "a374c9c7a2ef372cf8a713ba7501853e",
                    :x_runtime => "0.019696",
                 :x_rack_cache => "miss",
                 :x_powered_by => "Phusion Passenger 4.0.18",
                       :status => "200 OK",
                         :vary => "Accept-Encoding",
             :content_encoding => "gzip",
               :content_length => "34862",
                 :content_type => "text/html; charset=UTF-8"
}
[DEBUG 2015-07-30 10:40:43 API] New apidoc loaded from the server
[ INFO 2015-07-30 10:40:43 Modules] Extension module hammer_cli_foreman (0.1.4.14) loaded
[ INFO 2015-07-30 10:40:43 Modules] Extension module hammer_cli_foreman_bootdisk (0.1.2.7) loaded
[ INFO 2015-07-30 10:40:43 Modules] Extension module hammer_cli_foreman_discovery (0.0.1.10) loaded
[ INFO 2015-07-30 10:40:44 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2015-07-30 10:40:44 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[ INFO 2015-07-30 10:40:44 Modules] Extension module hammer_cli_gutterball (0.0.1.3) loaded
[ INFO 2015-07-30 10:40:44 Modules] Extension module hammer_cli_import (0.10.19) loaded
[ INFO 2015-07-30 10:40:44 Modules] Extension module hammer_cli_katello (0.0.7.17) loaded
[DEBUG 2015-07-30 10:40:44 Init] Using locale 'en'
[DEBUG 2015-07-30 10:40:44 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/share/gems/gems/hammer_cli-0.1.4.11/locale'
[DEBUG 2015-07-30 10:40:44 Init] 'mo' files for locale domain 'hammer-cli@system' loaded from '/usr/share/locale'
[DEBUG 2015-07-30 10:40:44 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/usr/share/gems/gems/hammer_cli_foreman-0.1.4.14/locale'
[DEBUG 2015-07-30 10:40:44 Init] 'mo' files for locale domain 'hammer-cli-foreman@system' loaded from '/usr/share/locale'
[DEBUG 2015-07-30 10:40:44 Init] 'mo' files for locale domain 'hammer_cli_foreman_docker' loaded from '/usr/share/gems/gems/hammer_cli_foreman_docker-0.0.3.9/locale'
[DEBUG 2015-07-30 10:40:44 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/usr/share/gems/gems/hammer_cli_katello-0.0.7.17/locale'
[ INFO 2015-07-30 10:40:44 HammerCLI::MainCommand] Called with options: {"option_verbose"=>true, "option_debug"=>true, "option_username"=>"admin", "option_password"=>"***"}
[ INFO 2015-07-30 10:40:44 HammerCLIKatello::RepositorySetCommand] Called with options: {}
[ INFO 2015-07-30 10:40:44 HammerCLIKatello::RepositorySetCommand::EnableCommand] Called with options: {"option_name"=>"Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)", "option_product_name"=>"Red Hat Enterprise Linux Server", "option_organization_name"=>"Default Organization", "option_basearch"=>"x86_64", "option_releasever"=>"borked"}
[ INFO 2015-07-30 10:40:44 API] GET /katello/api/organizations
[DEBUG 2015-07-30 10:40:44 API] Params: {
    :search => "name = \"Default Organization\""
}
[DEBUG 2015-07-30 10:40:44 API] Headers: {
    :params => {
        :search => "name = \"Default Organization\""
    }
}
[DEBUG 2015-07-30 10:40:52 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => "name = \"Default Organization\"",
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                    "id" => 1,
                  "name" => "Default Organization",
                 "title" => "Default Organization",
                 "label" => "Default_Organization",
            "created_at" => "2015-07-30T14:08:41Z",
            "updated_at" => "2015-07-30T14:08:48Z"
        }
    ]
}
[DEBUG 2015-07-30 10:40:52 API] Response headers: {
                   :date => "Thu, 30 Jul 2015 14:40:44 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "ec9d32375fa1d269c3b2add8c5fad431",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "7dd7504c5fc1eb95dd067cf4fec3d482",
              :x_runtime => "2.934041",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTkwYjU4ZTdhZjc4MThmN2ZmYTg0ZTIxYjU4NGQ0NTc5BjsAVEkiC2xvY2FsZQY7AEYiB2Vu--60662c6979122ac1e3f28ed3b68cd63e3834a8e0; path=/; secure; HttpOnly"
    ],
                   :etag => "\"50eb8256088914186ca58a5b31b360c5\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-30 10:40:52 API] GET /katello/api/organizations/1/products
[DEBUG 2015-07-30 10:40:52 API] Params: {
    "name" => "Red Hat Enterprise Linux Server"
}
[DEBUG 2015-07-30 10:40:52 API] Headers: {
    :params => {
        "name" => "Red Hat Enterprise Linux Server"
    }
}
[DEBUG 2015-07-30 10:40:56 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => nil,
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                  "sync_state" => nil,
                   "last_sync" => nil,
             "last_sync_words" => nil,
                "organization" => {
                 "name" => "Default Organization",
                "label" => "Default_Organization",
                   "id" => 1
            },
                          "id" => 9,
                       "cp_id" => "69",
                        "name" => "Red Hat Enterprise Linux Server",
                       "label" => "Red_Hat_Enterprise_Linux_Server",
                 "description" => nil,
                 "provider_id" => 2,
                "sync_plan_id" => nil,
                 "sync_status" => {
                "state" => nil
            },
                "sync_summary" => {},
                  "gpg_key_id" => nil,
                      "redhat" => true,
            "repository_count" => 0,
                            "" => nil
        }
    ]
}
[DEBUG 2015-07-30 10:40:57 API] Response headers: {
                   :date => "Thu, 30 Jul 2015 14:40:52 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "ec9d32375fa1d269c3b2add8c5fad431",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "2d71dd255104802ff3275997b864ba84",
              :x_runtime => "3.064435",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWQxNDM5ODg0MWI4YmQ5ZWUwZjAxN2QzZjE4NWEyYmY2BjsAVEkiC2xvY2FsZQY7AEYiB2Vu--2dd3cc8e7a3539bac0eeefcbd61d2cac45598666; path=/; secure; HttpOnly"
    ],
                   :etag => "\"bc470acbdbe374c79cbf7ebb0eec2665\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-30 10:40:57 API] GET /katello/api/organizations
[DEBUG 2015-07-30 10:40:57 API] Params: {
    :search => "name = \"Default Organization\""
}
[DEBUG 2015-07-30 10:40:57 API] Headers: {
    :params => {
        :search => "name = \"Default Organization\""
    }
}
[DEBUG 2015-07-30 10:40:58 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => "name = \"Default Organization\"",
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                    "id" => 1,
                  "name" => "Default Organization",
                 "title" => "Default Organization",
                 "label" => "Default_Organization",
            "created_at" => "2015-07-30T14:08:41Z",
            "updated_at" => "2015-07-30T14:08:48Z"
        }
    ]
}
[DEBUG 2015-07-30 10:40:58 API] Response headers: {
                   :date => "Thu, 30 Jul 2015 14:40:57 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "ec9d32375fa1d269c3b2add8c5fad431",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "006b7e94d288339a0c090477b438d4a8",
              :x_runtime => "0.463922",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWFmNzQwMDUxZmM4NTM0MTk1YWU0NGNmN2E3M2M4YmFmBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--8e4eefd3063fff28dd78cc77a5771bcf959f5d84; path=/; secure; HttpOnly"
    ],
                   :etag => "\"50eb8256088914186ca58a5b31b360c5\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-30 10:40:58 API] GET /katello/api/organizations/1/products
[DEBUG 2015-07-30 10:40:58 API] Params: {
    "name" => "Red Hat Enterprise Linux Server"
}
[DEBUG 2015-07-30 10:40:58 API] Headers: {
    :params => {
        "name" => "Red Hat Enterprise Linux Server"
    }
}
[DEBUG 2015-07-30 10:40:58 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => nil,
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                  "sync_state" => nil,
                   "last_sync" => nil,
             "last_sync_words" => nil,
                "organization" => {
                 "name" => "Default Organization",
                "label" => "Default_Organization",
                   "id" => 1
            },
                          "id" => 9,
                       "cp_id" => "69",
                        "name" => "Red Hat Enterprise Linux Server",
                       "label" => "Red_Hat_Enterprise_Linux_Server",
                 "description" => nil,
                 "provider_id" => 2,
                "sync_plan_id" => nil,
                 "sync_status" => {
                "state" => nil
            },
                "sync_summary" => {},
                  "gpg_key_id" => nil,
                      "redhat" => true,
            "repository_count" => 0,
                            "" => nil
        }
    ]
}
[DEBUG 2015-07-30 10:40:58 API] Response headers: {
                   :date => "Thu, 30 Jul 2015 14:40:58 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "ec9d32375fa1d269c3b2add8c5fad431",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "290b6079c57377b5ff80c48ddf9517d3",
              :x_runtime => "0.194962",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTNiMGE4MjJlYWU1ODZiMTFlMGM5OGUyNzJjNWY4NjgxBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--e5e8f3db82119891a00bd834c0c4da6fd8170466; path=/; secure; HttpOnly"
    ],
                   :etag => "\"bc470acbdbe374c79cbf7ebb0eec2665\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-30 10:40:58 API] GET /katello/api/products/9/repository_sets
[DEBUG 2015-07-30 10:40:58 API] Params: {
    "name" => "Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)"
}
[DEBUG 2015-07-30 10:40:58 API] Headers: {
    :params => {
        "name" => "Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)"
    }
}
[DEBUG 2015-07-30 10:40:59 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => nil,
    "per_page" => nil,
      "search" => nil,
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
            "repositories" => [],
                      "id" => "4380",
                    "name" => "Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)",
                   "label" => "rhel-7-server-satellite-tools-6-beta-rpms",
                    "type" => "yum",
                  "vendor" => "Red Hat",
                  "gpgUrl" => "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta,file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release",
              "contentUrl" => "/content/beta/rhel/server/7/$basearch/sat-tools/6/os"
        }
    ]
}
[DEBUG 2015-07-30 10:40:59 API] Response headers: {
                   :date => "Thu, 30 Jul 2015 14:40:58 GMT",
                 :server => "Apache/2.4.6 (Red Hat Enterprise Linux)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "ec9d32375fa1d269c3b2add8c5fad431",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "98c2e6eb9e09cbfcaa939b087fa76c9b",
              :x_runtime => "0.810601",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWYxN2U4MjE3NmI3NDM5MGVhNjU0YTAyZTg4MjMyYWJkBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--a804d777fece9271f4986cadac4744c6961ca960; path=/; secure; HttpOnly"
    ],
                   :etag => "\"e67e6d770582a7ec733d87946de97550\"",
                 :status => "200 OK",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-07-30 10:40:59 API] PUT /katello/api/products/9/repository_sets/4380/enable
[DEBUG 2015-07-30 10:40:59 API] Params: {
      "basearch" => "x86_64",
    "releasever" => "borked"
}
[DEBUG 2015-07-30 10:40:59 API] Headers: {}
[DEBUG 2015-07-30 10:41:05 API] 422 Unprocessable Entity
{
    "displayMessage" => "[\"releasever\"] cannot be specified for Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)  ",
            "errors" => [
        [0] "[\"releasever\"] cannot be specified for Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)
    ]
}
[ERROR 2015-07-30 10:41:05 Exception] ["releasever"] cannot be specified for Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs) 
Could not enable repository:
  ["releasever"] cannot be specified for Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs) 
[ERROR 2015-07-30 10:41:05 Exception] 

RestClient::UnprocessableEntity (422 Unprocessable Entity):
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:48:in `return!'
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:230:in `process_result'
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:178:in `block in transmit'
    /usr/share/ruby/net/http.rb:852:in `start'
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:172:in `transmit'
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in `execute'
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in `execute'
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:76:in `put'
    /usr/share/gems/gems/apipie-bindings-0.0.11/lib/apipie_bindings/api.rb:279:in `call_client'
    /usr/share/gems/gems/apipie-bindings-0.0.11/lib/apipie_bindings/api.rb:210:in `http_call'
    /usr/share/gems/gems/apipie-bindings-0.0.11/lib/apipie_bindings/api.rb:160:in `call'
    /usr/share/gems/gems/apipie-bindings-0.0.11/lib/apipie_bindings/resource.rb:14:in `call'
    /usr/share/gems/gems/hammer_cli-0.1.4.11/lib/hammer_cli/apipie/command.rb:43:in `send_request'
    /usr/share/gems/gems/hammer_cli_foreman-0.1.4.14/lib/hammer_cli_foreman/commands.rb:185:in `send_request'
    /usr/share/gems/gems/hammer_cli-0.1.4.11/lib/hammer_cli/apipie/command.rb:34:in `execute'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4.11/lib/hammer_cli/abstract.rb:23:in `run'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4.11/lib/hammer_cli/abstract.rb:23:in `run'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4.11/lib/hammer_cli/abstract.rb:23:in `run'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4.11/bin/hammer:108:in `<top (required)>'
    /usr/bin/hammer:23:in `load'
    /usr/bin/hammer:23:in `<main>'

Comment 9 Bryan Kearney 2015-08-12 16:04:26 UTC
This bug was fixed in Satellite 6.1.1 which was delivered on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.